org.apache.commons.math3.analysis.interpolation

## Interface UnivariateInterpolator

- All Known Implementing Classes:
    DividedDifferenceInterpolator, LinearInterpolator, LoessInterpolator, NevilleInterpolator, SplineInterpolator, UnivariatePeriodicInterpolator

      public interface UnivariateInterpolator

  Interface representing a univariate real interpolating function.
  Version:
    $Id: UnivariateInterpolator.java 1364387 2012-07-22 18:14:11Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnivariateFunction` | `interpolate(double[] xval, double[] yval)` Compute an interpolating function for the dataset.

- - ### Method Detail

    - #### interpolate

          UnivariateFunction interpolate(double[] xval,
                                       double[] yval)

      Compute an interpolating function for the dataset.
      Parameters:
        `xval` - Arguments for the interpolation points.
        `yval` - Values for the interpolation points.
      Returns:
        a function which interpolates the dataset.
      Throws:
        `MathIllegalArgumentException` - if the arguments violate assumptions made by the interpolation algorithm.

Copyright (c) 2003-2013 Apache Software Foundation